## The mod is back!

I've been able to update for Mistlands. 

This is a fork from the original mod: Discard or Recycle Inventory Items 
https://www.nexusmods.com/valheim/mods/45

The mod has now developed and changed into something far different from the original.

Github (this mod): https://github.com/cjayride/ValheimMods/tree/master/DiscardInventoryItem

Github (original mod): https://github.com/aedenthorn/ValheimMods/tree/master/DiscardInventoryItem

## This mod recycles items into parts

- Break down (recycle) items on the fly, by drag clicking an item and clicking [Delete]

- Control the percentage (%) of parts returned (in the config)

- Control the types of parts to be recycled: 

**Enchanting Parts [EpicLoot]**

**ShardMagic [EpicLoot]**

**Coins**

**Consumables**

**Trophies** 

## Setup / Configuration

Setup has completely changed, now that all mods have been updated for Mistlands. Check the values in the config file.

## Edit the config file

> BepInEx/config/cjayride.DiscardInventoryItem.cfg

Launch the game once to generate the config file and review the options.

## Recycle EpicLoot Enchanted Gear for Magic Parts | DefaultSetting = true

> ReturnEnchantedResources = true

CJAYCRAFT PLAYERS - This setting must be: true

## Give Back Coins? | DefaultSetting = false

When recycling parts, don't give Coins (enable/disable).

It cost Coins to enchant with Epic Loot, so if you recycle an item it will usually return Coins. Some servers and players may not want this. Items gave back too many coins and it messed up our server economy.

> RecycleCoins = false

CJAYCRAFT PLAYERS - This setting must be: false

## Give Back Trophies | DefaultSetting = True

Don't want to give back Trophies when recycling?

On our server, we didn't want people to get back Trophies, much like we don't want to give back Coins, because it affects the economy of our server. Items can still be recycled, but if it contains a Trophy, it just won't give back the Trophy.

By default, the mod WILL give Trophies.

> RecycleTrophy = true

CJAYCRAFT PLAYERS - This setting must be: false

## Allow Recycle Consumables | DefaultSetting = True

Don't allow recycling of a food TYPE item.

On our server, we didn't want people recycling food because it gave certain items that might affect the economy. Potentially, if an item contains a recipe part that is food, that food item would be returned. This only specifically targets the item that is being recycled. If the item is food, it can't be recycled.

By default, this mod WILL allow you to recycle consumables. 

> RecycleConsumables = true

CJAYCRAFT PLAYERS - This setting must be: RecycleConsumables = false

## Allow  Recycle ShardMagic [EpicLoot] | DefaultSetting = True

Don't allow recycling of the item ShardMagic [EpicLoot].

On our server, we didn't want people recycling the green rarity Magic Shards (Epic Loot) because it interferes with some recipes we're using.

By default, this mod WILL allow you to recycle ShardMagic [EpicLoot]. 

> RecycleShards = true

CJAYCRAFT PLAYERS - This setting must be: false

## Change Log

**1.5.1** - 2024/4/7

- Fixed reference to assembly files

**1.5.0** - 2024/4/7

- Change for EpicLoot, committed by blradlof (verfied by "aedenthorn") on Dec 16, 2023. Line 86 changed EpicLoot.Crafting.EnchantTabController to EpicLoot.Crafting.EnchantHelper

**1.4.0** - 2023/7/9

- Update for Mistlands. I've tested it with a combination of mods like EpicLoot, EquipmentandQuickSlots, ExtendedPlayerInventory, BetterArchery. 

- Note: The BetterArchery QUIVER (if enabled) breaks the game if ExtendedPlayerInventor is also installed.

- I'll continue to test as I complete the rebuild of CJAYCRAFT modpack. As far as I can tell, this mod is working, but shoot me a message if you discover an issue before I get to play more :)

## Contact

Twitter: twitter.com/cjayride

Discord: discord.gg/cjayride (find me at the top of the user list) "cjayride"

Twitch: twitch.tv/cjayride